Subject: Re: bug#5438: 23.0.94; auto-fill-mode behaves strangely with periods near end of line

From: Elnatan Reisner <[email-masked]>
Date: Sun, 24 Jan 2010 13:31:46 -0500

On Jan 23, 2010, at 6:07 AM, Stefan Monnier wrote:

>> I am confused by how auto-fill deals with periods near the end of the
>> line.  It seems that the determination of where to wrap is based not
>> only on spaces, but also on periods.  That is, auto-fill seems to
>> search for the final space before the last column, but if that space
>> is preceded by a period, it looks back for the preceding space, and  
>> so
>> on.  I notice this
>
> I think you're seeing another feature of the system:
> sentence-end-double-space.  It's usd among other things to prevent
> wrapping the line right after "e.g." or "Mr." and things like that.
>
>        Stefan

Ah. This wasn't at all clear to me. Thank you for explaining.

-Elnatan